#1582 closed defect (fixed)

_Thread_Evaluate_mode only used by rtems_task_mode

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: minor Keywords:
Cc: Blocked By:
Blocking:

Description

The function _Thread_Evaluate_mode is only used by the rtems_task_mode function. I propose making it an inline function and removing the threadevaluatemode.c function from cpukit/score/src.

The attached patch provides the inline function and changes Makefile.am to remove the threadevaluatemode.c file from being compiled.

Also, I did not find a testcase in the testsuite that calls rtems_task_mode.

Attachments (1)

threadevalmode.diff (2.7 KB) - added by Gedare Bloom on Jun 21, 2010 at 8:11:37 PM.
Patch to make _Thread_Evaluate_mode an inline function.

Download all attachments as: .zip

Change History (3)

Changed on Jun 21, 2010 at 8:11:37 PM by Gedare Bloom

Attachment: threadevalmode.diff added

Patch to make _Thread_Evaluate_mode an inline function.

comment:1 Changed on Jun 24, 2010 at 9:40:46 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Patch committed to head. Thanks.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.